package com.ruoyi.web.modules.industryservice.mapper;

import java.util.List;
import com.ruoyi.web.modules.industryservice.domain.BizYakAsset;

public interface BizYakAssetMapper
{
    BizYakAsset selectBizYakAssetById(Long id);

    BizYakAsset selectBizYakAssetByYakNo(String yakNo);

    BizYakAsset selectBizYakAssetByExternalId(Long externalId);

    List<BizYakAsset> selectBizYakAssetList(BizYakAsset query);

    int insertBizYakAsset(BizYakAsset row);

    int updateBizYakAsset(BizYakAsset row);
}
